%define pypi_name oauthlib

Name:           python-oauthlib
Version:        1.0.3
Release:        %mkrel 2
Group:          Development/Python
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic

License:        BSD
URL:            https://github.com/idan/oauthlib
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
OAuthLib is a generic utility which implements the logic of OAuth 
without assuming a specific HTTP request object or web framework.

%package -n     python3-%{pypi_name}
Summary:        A generic, spec-compliant, thorough implementation of the OAuth request-signing logic


%description -n python3-%{pypi_name}
OAuthLib is a generic utility which implements the logic of OAuth 
without assuming a specific HTTP request object or web framework.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.0.3-2.mga6
+ Revision: 972278
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 1.0.3-1.mga6
+ Revision: 897110
- update to 1.0.3

* Sat Oct 10 2015 tv <tv> 0.6.1-6.mga6
+ Revision: 888816
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-5.mga5
+ Revision: 750976
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.1-4.mga5
+ Revision: 729196
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 688188
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.1-2.mga5
+ Revision: 628855
- Rebuild for new Python

* Tue Mar 04 2014 philippem <philippem> 0.6.1-1.mga5
+ Revision: 599561
- update to 0.6.1

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543862
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498993
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 philippem <philippem> 0.6.0-1.mga4
+ Revision: 494895
- imported package python-oauthlib

